qlaci R Package for Designing Adaptive Interventions

Downloads
Windows:
UNIX:
Users’ Guide: qlaci R Package users’ guide

Please email mchelpdesk@psu.edu for qlaci versions for Mac or Unix.

Overview

The qlaci (Q-learning with adaptive confidence intervals) R package can be used with data from a sequential, multiple assignment, randomized trial (SMART) to design an adaptive intervention. The qlaci R package requires R 2.15, available for free download. This is the recommended platform for running this package. At the time of release, R version 3.0.x was released recently. We will only support installation of qlaci on R 2.15.x.


Operating Systems

Windows users:  
Download qlaci.zip, a binary package.  Make sure to use the exact file name “qlaci.zip”.
R 3.0 users will need to install R 2.15.

Mac users: 
R 2.15 users – Download qlaci_1.0.tgz, and install as a binary package.

UNIX users:
Download qlaci.tar.gz and install as a source package.
run
R CMD INSTALL qlaci.tar.gz

 


Recommended Citations

Ertefaie, A., Deng, K., Wagner, A. T., & Murphy, S. A. (2014). qlaci R package for using q-learning to construct adaptive interventions using data from a SMART (Version 1.0). University Park: The Methodology Center, Penn State. Available from methodology.psu.edu.

qlaci R package (Version 1.0) [Software]. (2014). University Park: The Methodology Center, Penn State. Retrieved from methodology.psu.edu